## org.eclipse.ocl.parser
Class OCLKWLexer

    java.lang.Object
      org.eclipse.ocl.parser.OCLKWLexerprs
          org.eclipse.ocl.parser.OCLKWLexer

All Implemented Interfaces:
  lpg.lpgjavaruntime.ParseTable, OCLKWLexersym, OCLParsersym

    public class OCLKWLexer

extends OCLKWLexerprs
implements OCLParsersym

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.ocl.parser.OCLKWLexerprs
`OCLKWLexerprs.BaseAction, OCLKWLexerprs.BaseCheck, OCLKWLexerprs.IsKeyword, OCLKWLexerprs.TermAction, OCLKWLexerprs.TermCheck`

Field Summary

Fields inherited from class org.eclipse.ocl.parser.OCLKWLexerprs
`ACCEPT_ACTION, BACKTRACK, baseAction, baseCheck, EOFT_SYMBOL, EOLT_SYMBOL, ERROR_ACTION, IDENTIFIER_SYMBOL, isKeyword, LA_STATE_OFFSET, lhs, MAX_LA, NT_OFFSET, NUM_NONTERMINALS, NUM_RULES, NUM_STATES, NUM_SYMBOLS, rhs, SEGMENT_SIZE, START_STATE, termAction, termCheck`

Fields inherited from interface org.eclipse.ocl.parser.OCLParsersym

`isValidForParser, orderedTerminalSymbols, TK_allInstances, TK_and, TK_any, TK_ARROW, TK_ATPRE, TK_attr, TK_Bag, TK_BAR, TK_body, TK_Boolean, TK_CARET, TK_CARETCARET, TK_closure, TK_collect, TK_Collection, TK_collectNested, TK_COLON, TK_COLONCOLON, TK_COMMA, TK_context, TK_def, TK_derive, TK_DIVIDE, TK_DOT, TK_DOTDOT, TK_else, TK_endif, TK_endpackage, TK_EOF_TOKEN, TK_EQUAL, TK_ERROR_TOKEN, TK_exists, TK_false, TK_forAll, TK_GREATER, TK_GREATER_EQUAL, TK_IDENTIFIER, TK_if, TK_implies, TK_in, TK_init, TK_Integer, TK_INTEGER_LITERAL, TK_INTEGER_RANGE_START, TK_inv, TK_Invalid, TK_isUnique, TK_iterate, TK_LBRACE, TK_LBRACKET, TK_LESS, TK_LESS_EQUAL, TK_let, TK_LPAREN, TK_MINUS, TK_MULTIPLY, TK_not, TK_NOT_EQUAL, TK_null, TK_NUMERIC_OPERATION, TK_OclAny, TK_oclAsType, TK_OclInvalid, TK_oclIsInState, TK_oclIsInvalid, TK_oclIsKindOf, TK_oclIsNew, TK_oclIsTypeOf, TK_oclIsUndefined, TK_OclMessage, TK_OclVoid, TK_one, TK_oper, TK_or, TK_OrderedSet, TK_package, TK_PLUS, TK_post, TK_pre, TK_QUESTIONMARK, TK_RBRACE, TK_RBRACKET, TK_Real, TK_REAL_LITERAL, TK_reject, TK_RPAREN, TK_select, TK_self, TK_SEMICOLON, TK_Sequence, TK_Set, TK_sortedBy, TK_String, TK_STRING_LITERAL, TK_then, TK_true, TK_Tuple, TK_UnlimitedNatural, TK_xor`

Fields inherited from interface org.eclipse.ocl.parser.OCLKWLexersym

`Char_a, Char_A, Char_b, Char_B, Char_c, Char_C, Char_d, Char_D, Char_DollarSign, Char_e, Char_E, Char_EOF, Char_f, Char_F, Char_g, Char_G, Char_h, Char_H, Char_i, Char_I, Char_j, Char_J, Char_k, Char_K, Char_l, Char_L, Char_m, Char_M, Char_n, Char_N, Char_o, Char_O, Char_p, Char_P, Char_q, Char_Q, Char_r, Char_R, Char_s, Char_S, Char_t, Char_T, Char_u, Char_U, Char_v, Char_V, Char_w, Char_W, Char_x, Char_X, Char_y, Char_Y, Char_z, Char_Z, isValidForParser, orderedTerminalSymbols`

Constructor Summary
`OCLKWLexer(char[] inputChars, int identifierKind)`

Method Summary
`int[]` `getKeywordKinds()`
`int` `lexer(int curtok, int lasttok)`
`void` `setInputChars(char[] inputChars)`

Methods inherited from class org.eclipse.ocl.parser.OCLKWLexerprs

`asb, asi, asr, baseAction, baseCheck, getAcceptAction, getBacktrack, getEoftSymbol, getEoltSymbol, getErrorAction, getErrorSymbol, getIdentifierSymbol, getLaStateOffset, getMaxLa, getMaxNameLength, getNtOffset, getNumNonterminals, getNumRules, getNumStates, getNumSymbols, getScopeSize, getScopeUbound, getSegmentSize, getStartState, getStartSymbol, inSymb, inSymbol, isKeyword, isValidForParser, lhs, lookAhead, name, nasb, nasi, nasr, nonterminalIndex, ntAction, originalState, rhs, scopeLa, scopeLhs, scopePrefix, scopeRhs, scopeState, scopeStateSet, scopeSuffix, tAction, termAction, termCheck, terminalIndex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OCLKWLexer

    public OCLKWLexer(char[] inputChars,
                      int identifierKind)

Method Detail

### getKeywordKinds

    public int[] getKeywordKinds()

### lexer

    public int lexer(int curtok,
                     int lasttok)

### setInputChars

    public void setInputChars(char[] inputChars)

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.